Calls

Reject an inbound conference call

POST
/api/calls/sdk/reject

Updates the Call to status no-answer and sets endTime. Emits the call_rejected socket event to the call owner and acting user only. Note: the PSTN caller is not actively kicked from the conference yet (TODO via Sinch REST API).

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/calls/sdk/reject" \  -H "Content-Type: application/json" \  -d '{    "callId": "64f0a1b2c3d4e5f6a7b8cb00"  }'
{  "success": true,  "call": {    "_id": "64f0a1b2c3d4e5f6a7b8cb00",    "callId": "64f0a1b2c3d4e5f6a7b8cb00",    "provider": "sinch",    "direction": "outbound",    "status": "initiated",    "from": "+14165550100",    "to": "+14165550199"  },  "message": "Call recorded"}